> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/modules/media_modules.md).

# Modules Management

All displayed content is served by a Media Module managed from the Modules page under the Administration section of the main CMS menu

![Modules Grid](https://2811002782-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fj0uXhtBdyPyW40TfKTZd%2Fuploads%2Fgit-blob-9dfebc1a0881f068c8382fd02a816aa5032891ee%2Fv4.5_media_modules_grid.png?alt=media)

* Use the row menu and click **Configure** to control if it should be accessible for Users to use.

{% hint style="warning" %}
At times it may be necessary to add or remove the allowed extensions on a particular Library file based Module (Image, Video, Flash etc.) A typical use case would be if a Player is being used which does not support that particular type of file.
{% endhint %}

{% hint style="success" %}
Fonts can be added and managed from the Fonts page under the **Administration** section of the main CMS menu.&#x20;
{% endhint %}

## Caching and external access

The core Modules are designed to have their data cached and served from the CMS so that they can be played back without an active connection and/or without direct access to external resources that might be required. The CMS also uses this mechanism to be a *good citizen* when requesting 3rd party data. {tip} For example, a Ticker Widget with the address `http://anexternal.com/feed` would only be accessed by the CMS and only once per `updateInterval`. The Players showing the Layout would not need to access that address directly. {/tip}

All of the core Modules adopt this approach, exceptions noted below:

* The **Web Page Module** does not cache from the CMS and will always attempt to open the specified web page address using the browser on the Player. This means that the Player must have network access to the web address at all times.
* The **Embedded Module** can be cached using library references, however, the User that creates the Module is free to specify external resources should they require them.
* The **Local Video Module** is rendered by the video decoder on the Player and can reference an external stream.
* **Flash** Files have the capability to reference an external file and will be run on the Player.

## Generic File

The Generic File Module is used to send **additional files** to the Player that can then be used for other purposes.

{% hint style="success" %}
This could be useful for providing supplementary files to be used as relative paths (e.g. An up and down arrow that is dynamically shown in the embedded HTML based on the results of stock data) as an example.&#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/modules/media_modules.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
